IntegrationsAlegra
Get one debit note by ID and party.
Get one debit note by ID and party.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
connection_id*string
Resource identifier: connection_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/alegra/debit-notes/get" \ -H "Content-Type: application/json" \ -d '{ "id": "example" }'{ "id": "example", "kind": "invoice", "number": { "prefix": "adl_live_a1", "number": "example", "full": "example" }, "reference": "example", "date": "example", "due_date": "example", "status": "draft", "contact": { "id": "example", "name": "Customer documents", "identification": "example" }, "currency": "example", "subtotal": 0, "discount": 0, "tax": 0, "total": 0, "paid": 0, "balance": 0, "lines": [], "taxes": [], "withholdings": [], "electronic": { "stamp_status": "none", "cufe": "example", "cude": "example", "stamped_at": "example", "dian_observations": "example" }, "seller": { "id": "example", "name": "Customer documents" }, "cost_center": { "id": "example", "name": "Customer documents" }, "warehouse": { "id": "example", "name": "Customer documents" }, "related_documents": [], "observations": "example", "reason": "example", "url": "https://api.adlass.io/v1/workflows/hooks/example", "created_at": "example"}